> ## Documentation Index
> Fetch the complete documentation index at: https://reviewport.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report first-look

> Retrieve the first-look section for a report.



## OpenAPI

````yaml https://www.thereviewport.com/api/swagger.json get /reports/{id}/first-look
openapi: 3.0.3
info:
  title: The Review Port API
  description: >-
    Public API for accessing CLO reports, trend reports, managers, issuers,
    retention holders, and entities.
  version: 1.0.0
  contact:
    email: support@thereviewport.com
servers:
  - url: https://www.thereviewport.com/api
    description: Production server
security:
  - ApiKeyQuery: []
  - ApiKeyHeader: []
tags:
  - name: Reports
    description: CLO report operations
  - name: Trend Reports
    description: Trend report operations
  - name: Managers
    description: Manager operations
  - name: Issuers
    description: Issuer operations
  - name: Holders
    description: Retention holder operations
  - name: Entities
    description: Entity operations (administrators, arrangers, trustees, etc.)
paths:
  /reports/{id}/first-look:
    get:
      tags:
        - Reports
      summary: Get report first-look
      description: Retrieve the first-look section for a report.
      operationId: getReportFirstLook
      parameters:
        - name: id
          in: path
          required: true
          description: Report GUID or ObjectId
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  guid:
                    type: string
                  title:
                    type: string
                  firstLook:
                    type: string
                  links:
                    $ref: '#/components/schemas/ReportLinks'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    ReportLinks:
      type: object
      properties:
        self:
          type: string
        web:
          type: string
        embed:
          type: string
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: API key missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: >-
              API key required. Provide via query ?apiKey=... or header
              x-api-key.
    Forbidden:
      description: Access to resource not permitted
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Access to reports is not permitted for this API key.
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Report not found
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Rate limit exceeded. Try again later.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: apiKey
      description: API key passed as query parameter
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key passed as header

````